# siammask_vot2020
A step-by-step tutorial for testing [SiamMask](https://github.com/foolwood/SiamMask) on [VOT2020](https://www.votchallenge.net/vot2020/).

```
git clone https://github.com/foolwood/siammask_vot2020.git
cd siammask_vot2020
```

```
conda create -n siammask_vot2020 python=3.6
conda activate siammask_vot2020
pip install git+https://github.com/votchallenge/vot-toolkit-python
vot workspace vot2020 --workspace $PWD
sed 's:#REPLACE-WITH-PATH:'`pwd`':' trackers.ini.bk  > trackers.ini
pip install -r requirements.txt
```

```
vot test siammask --visualize
vot evaluate --workspace $PWD siammask
```

```
vot analysis --workspace $PWD siammask --output json
vot pack --workspace $PWD siammask
```

Results
```
{
  "baseline": [
    {
      "tracker_name": "siammask",
      "vot.analysis.measures.AccuracyRobustnessMultiStart": [
        0.5854322750703082,
        0.6476824537011913,
        19945
      ],
      "vot.analysis.measures.EAOMultiStart": 0.3315446674823761
    }
  ],
  "unsupervised": [
    {
      "tracker_name": "siammask",
      "vot.analysis.measures.AverageAccuracy": [
        0.4050185377826596,
        19945
      ]
    }
  ],
  "realtime": [
    {
      "tracker_name": "siammask",
      "vot.analysis.measures.AccuracyRobustnessMultiStart": [
        0.5854670586132145,
        0.6452799542772966,
        19945
      ],
      "vot.analysis.measures.EAOMultiStart": 0.33052003383636475
    }
  ]
}
```

### Bibtex
If you find this code useful, please consider citing:

```
@inproceedings{wang2019fast,
  title={Fast online object tracking and segmentation: A unifying approach},
  author={Wang, Qiang and Zhang, Li and Bertinetto, Luca and Hu, Weiming and Torr, Philip HS},
  booktitle={Proceedings of the IEEE conference on computer vision and pattern recognition},
  pages={1328--1338},
  year={2019}
}
```
